### Hierarchy

- Dialog

## Index

### Properties

- allowClose
- cancelLabel
- confirmLabel
- continueLabel
- dialogConfirmCallback
- host
- index

### Methods

- alert
- confirm
- dialogConfirmHandler
- getOptions
- notice
- popup
- render
- setConfirmHandler

## Properties

### allowClose

allowClose: boolean = true

- Defined in dialog/dialog.tsx:19

### cancelLabel

cancelLabel: string = "Cancel"

- Defined in dialog/dialog.tsx:17

### confirmLabel

confirmLabel: string = "Ok"

- Defined in dialog/dialog.tsx:16

### continueLabel

continueLabel: string = "Yes"

- Defined in dialog/dialog.tsx:18

### dialogConfirmCallback

dialogConfirmCallback: any

- Defined in dialog/dialog.tsx:10

### host

host: Element

- Defined in dialog/dialog.tsx:12

### index

index: number = 0

- Defined in dialog/dialog.tsx:14

## Methods

### alert

- alert(msg?: string, options?: object): Promise<void>

- - Defined in dialog/dialog.tsx:48

  #### Parameters

  - ##### Default value msg: string = ""

  - ##### Default value options: object = {}

  #### Returns Promise<void>

### confirm

- confirm(msg?: string, calllback?: dialogConfirmHandler, options?: object): Promise<void>

- - Defined in dialog/dialog.tsx:54

  #### Parameters

  - ##### Default value msg: string = ""

  - ##### Default value calllback: dialogConfirmHandler = this.dialogConfirmHandler

  - ##### Default value options: object = {}

  #### Returns Promise<void>

### dialogConfirmHandler

- dialogConfirmHandler(): void

- - Defined in dialog/dialog.tsx:64

  #### Returns void

### getOptions

- getOptions(): object

- - Defined in dialog/dialog.tsx:23

  #### Returns object

### notice

- notice(msg?: string, options?: object): Promise<void>

- - Defined in dialog/dialog.tsx:42

  #### Parameters

  - ##### Default value msg: string = ""

  - ##### Default value options: object = {}

  #### Returns Promise<void>

### popup

- popup(options?: object): Promise<void>

- - Defined in dialog/dialog.tsx:36

  #### Parameters

  - ##### Default value options: object = {}

  #### Returns Promise<void>

### render

- render(): any

- - Defined in dialog/dialog.tsx:88

  #### Returns any

### setConfirmHandler

- setConfirmHandler(callBackHandler: any): Promise<void>

- - Defined in dialog/dialog.tsx:60

  #### Parameters

  - ##### callBackHandler: any

  #### Returns Promise<void>